<ActionBar class="action-bar">
    <NavigationButton (tap)="onBackTap()" android.systemIcon="ic_menu_back"></NavigationButton>
    <Label class="action-bar-title" [text]="movie.name"></Label>
</ActionBar>

<FlexboxLayout backgroundColor="rgba(255, 255, 255, 0.2)">
    <ScrollView top="0" left="0" height="100%" width="100%"> <!--#scrollView (scroll)="onScroll($event)"-->
        <GridLayout rows="auto, *">
            <GridLayout row="0" #headerImage verticalAlignment="top" height="300">
                <Image verticalAlignment="top"
                    height="100%" width="100%" src="https://image.tmdb.org/t/p/w500/{{movie.poster_path}}"
                    stretch="aspectFill">
                </Image>
                <GridLayout #headerOverlay rows="auto, *, auto, auto, auto"
                    columns="auto, *, auto" padding="15 10" height="100%" textWrap="true"
                    style="background: linear-gradient(to bottom, rgba(0,0,0,0), rgba(0,0,0,0), #3f4577)">
                    <!--
                    <Label #playButton row="1" col="0" colSpan="3"
                        padding="20" class="fa text-center" color="rgba(255, 255, 255, 0.6)"
                        fontSize="100" text="&#xf01d;" (tap)="openVideoModal()"></Label>
                        -->
                    <Label row="2" col="0" colSpan="3" color="#fff" fontSize="25" fontWeight="bold"
                        letterSpacing="0.05" lineHeight="2" [text]="movie.title" textWrap="true"></Label>
                    <WrapLayout row="3" col="0"
                        colSpan="3" orientation="horizontal" marginTop="5">
                        <div *ngFor="let genre_id of movie.genre_ids">
                            <div *ngFor="let genre of genres">
                                <Label padding="5 15" marginRight="2.5" color="#fff"
                                *ngIf="genre.id == genre_id" [text]="genre.name"  class="round-corners"></Label>
                            </div>
                        </div>
                    </WrapLayout>
                    <!--
                    <Label *ngIf="indexSelected >= 0" row="4" col="0"
                        colSpan="3" color="#fff" fontSize="15" [text]="movie.date_released"
                        opacity="0.6" marginTop="5"></Label>
                        -->
                </GridLayout>
            </GridLayout>
            <StackLayout row="1" #detailContent backgroundColor="#3f4577" padding="10">
                <GridLayout columns="auto, *, auto">
                    <Label col="0" textAlignment="left" class="overview" style="color:orange;"
                        text="Overview"></Label>
                </GridLayout>
                <Label marginTop="5" class="details--overview"
                    [text]="movie.overview" textWrap="true"
                    letterSpacing="0.02" lineHeight="2"></Label>
                <Label marginTop="15" textAlignment="left" class="details--title" text="Similar movies"></Label>
                <StackLayout marginTop="5">
                    <ScrollView orientation="horizontal">
                        <StackLayout orientation="horizontal">
                            <GridLayout [nsRouterLink]="['../movie', similarMovie.id]" rows="auto, auto, auto" *ngFor="let similarMovie of similarMovies"
                                marginRight="15" marginTop="65" (itemTap)="onItemTap($event)">
                                <Image src="https://image.tmdb.org/t/p/w342/{{similarMovie.poster_path}}" row="0" height="100%" width="100%"
                                    stretch="aspectFill" borderRadius="10"></Image>
                                <Label class="round-corners" row="1" fontSize="14" color="#000000"
                                    [text]="similarMovie.original_title" marginTop="15" padding="5 15"></Label>
                            </GridLayout>
                            <!--
                            <GridLayout rows="auto, auto, auto" 
                            *ngFor="let cast of movies[indexSelected].cast" marginRight="15">
                                <Image borderRadius="5%" row="0" [src]="cast.imgSrc"
                                    height="100" width="90" stretch="aspectFill"></Image>
                                <Label row="1" fontSize="14" color="#fff"
                                    [text]="cast.name"></Label>
                                <Label row="2" fontSize="11" color="#fff"
                                    opacity="0.7" [text]="cast.role"></Label>
                                -->
                        </StackLayout>
                    </ScrollView>
                </StackLayout>
                <GridLayout columns="auto, *, auto">
                    <Label textAlignment="left" class="details--title" text = "Rate movie" style="color:orange;"></Label>
                    <StackLayout marginTop="5">
                        <ScrollView orientation="horizontal">
                            <StackLayout orientation="horizontal">
                                <GridLayout  rows="auto, auto, auto" *ngFor="let emotion of emotions"
                                    marginRight="15" marginTop="65" (itemTap)="onItemTap($event)">
                                    <Label class="round-corners" row="0" fontSize="14" color="#000000"
                                        [text]="emotion.unicode" marginTop="15" padding="5 15"></Label>
                                </GridLayout>
                            </StackLayout>
                        </ScrollView>
                    </StackLayout>
                </GridLayout>
            </StackLayout>
        </GridLayout>
    </ScrollView>
    <!--<GridLayout #collapseHeader top="0" left="0" width="100%" height="50"
        rows="50" columns="70, *, 70" backgroundColor="#3f4577"
        borderBottomColor="rgba(0,0,0,0.5)" borderBottomWidth="0.5">
        <Label row="0" col="0" verticalAlignment="center" class="fa text-left collapse-header--back"
            text="&#xf053;" (tap)="onBackScrolled()" padding="10"></Label>
        <Label *ngIf="indexSelected >= 0" row="0" col="1"
            verticalAlignment="center" textAlignment="center" class="collapse-header--title"
            [text]="movie.title"></Label>
    </GridLayout>-->
</FlexboxLayout>